version: '3.8'

services:
  nest:
    build: ./node-backend
    container_name: nest-lab6
    ports:
      - "8000:8000"
    env_file:
      - ./node-backend/.env
    depends_on:
      db:
        condition: service_started

  frontend:
    build: ./frontend
    container_name: react_frontend_lab6
    volumes:
      - react_nginx_static:/usr/share/nginx/html
      - certbot-etc:/etc/letsencrypt
      - certbot-var:/var/lib/letsencrypt
    ports:
      - "8079:80"

  db:
    image: postgres:14.0-alpine
    container_name: nest-postgres-db-lab6
    volumes:
      - node_postgres_data:/var/lib/postgresql/data/
    environment:
      - POSTGRES_USER=nest
      - POSTGRES_PASSWORD=password
      - POSTGRES_DB=nest
    ports:
      - "5430:5432"
    restart: always

  certbot:
    image: certbot/certbot
    container_name: lab6-certbot
    volumes:
      - certbot-etc:/etc/letsencrypt
      - certbot-var:/var/lib/letsencrypt
      - web-root:/usr/share/nginx/html
    depends_on:
      - frontend
    command: certonly --webroot --webroot-path=/usr/share/nginx/html --email kate_cherednichenko@gmail.com
      --agree-tos --no-eff-email --staging -d  www.kate-domain.ru

volumes:
  node_postgres_data:
  react_nginx_static:
  certbot-etc:
  certbot-var:
  web-root:
